<h1>My Courses</h1>

<div class="search-bar-wrap">
    <mat-icon>search</mat-icon>
    <input type="text" class="search-ip" placeholder="Search courses" (input)="searchCourses($event.target.value)">
</div>

<div class="course-list-wrapper">
    <mat-card *ngFor="let course of myCourseList">
        <h3> {{ course.name }} </h3>
        <p class="author-name">By {{ course.author }}</p> 
        <mat-card-content>
            <p> {{ course.description }} </p>
            <div>
                <mat-icon [ngClass]="{ 'selected': rating.isSelected }" *ngFor="let rating of ratings">star</mat-icon>
            </div>
        </mat-card-content>
    </mat-card>
</div>  